%global pypi_name jaraco.text
%global pkg_name  jaraco-text

%bcond_with tests

Name:           python-%{pkg_name}
Version:        3.7.0
Release:        %mkrel 3
Summary:        Module for text manipulation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.text
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(toml)

%if %{with tests}
# test requirements
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-checkdocs)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(pytest-black-multipy)
BuildRequires:  python3dist(pytest-cov)
%endif

%description
%{summary}

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3dist(six)
Requires:       python3dist(jaraco.functools)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
%{summary}

%package -n python-%{pkg_name}-doc
Summary:        jaraco.text documentation
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(rst.linker) >= 1.9
BuildRequires:  python3dist(jaraco.packaging)

%description -n python-%{pkg_name}-doc
Documentation for jaraco.text

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if %{with tests}
%check
%pytest
%endif

%install
%py3_install
install jaraco/text/Lorem\ ipsum.txt \
    %{buildroot}%{python3_sitelib}/jaraco/text/

%files -n python3-%{pkg_name}
%doc LICENSE
%doc README.rst
# These excludes are provided by python3-jaraco
%exclude %{python3_sitelib}/jaraco/__init__*
%exclude %{python3_sitelib}/jaraco/__pycache__/__init__*
%{python3_sitelib}/jaraco/text
%{python3_sitelib}/jaraco.text-%{version}-py%{python3_version}.egg-info/

%files -n python-%{pkg_name}-doc
%doc html
%doc LICENSE


%changelog
* Tue Mar 22 2022 guillomovitch <guillomovitch> 3.7.0-3.mga9
+ Revision: 1818296
- ship text file used by tests from other packages
- allow conditional tests

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 3.7.0-1.mga9
+ Revision: 1784147
- version 3.7.0
- rebuild for python-3.10

* Mon Mar 22 2021 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1707941
- new version 3.5.0

* Sat Nov 21 2020 guillomovitch <guillomovitch> 3.2.0-1.mga8
+ Revision: 1648095
- imported package python-jaraco-text

